FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202004200457 BUILD_VERSION=v4.3.14 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=14 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.14-202004200457 
ENV __doozer=merge OS_GIT_COMMIT=878550c OS_GIT_VERSION=4.3.14-202004200457-878550c SOURCE_DATE_EPOCH=1573176683 SOURCE_GIT_COMMIT=878550ca31308b77ebe4bf5574440a1457ec7fe7 SOURCE_GIT_TAG=878550c SOURCE_GIT_URL=https://github.com/openshift/kubecsr 

WORKDIR /go/src/github.com/coreos/kubecsr

COPY . .

RUN make bin/kube-client-agent

# stage 2
FROM openshift/ose-base:v4.3.14.20200420.045710
ENV __doozer=update BUILD_RELEASE=202004200457 BUILD_VERSION=v4.3.14 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=14 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.14-202004200457 
ENV __doozer=merge OS_GIT_COMMIT=878550c OS_GIT_VERSION=4.3.14-202004200457-878550c SOURCE_DATE_EPOCH=1573176683 SOURCE_GIT_COMMIT=878550ca31308b77ebe4bf5574440a1457ec7fe7 SOURCE_GIT_TAG=878550c SOURCE_GIT_URL=https://github.com/openshift/kubecsr 

ENTRYPOINT ["/usr/bin/kube-client-agent"]

COPY --from=builder /go/src/github.com/coreos/kubecsr/bin/kube-client-agent /usr/bin/

LABEL \
        io.k8s.display-name="kube-client-agent" \
        io.k8s.description="This client agent generates a valid CSR according to the configuration flags provided to it." \
        maintainer="Sam Batschelet <sbatsche@redhat.com>" \
        License="Apache 2.0" \
        io.openshift.tags="kube-client-agent" \
        name="openshift/ose-kube-client-agent" \
        com.redhat.component="ose-kube-client-agent-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.3.14" \
        release="202004200457" \
        io.openshift.build.commit.id="878550ca31308b77ebe4bf5574440a1457ec7fe7" \
        io.openshift.build.source-location="https://github.com/openshift/kubecsr" \
        io.openshift.build.commit.url="https://github.com/openshift/kubecsr/commit/878550ca31308b77ebe4bf5574440a1457ec7fe7"

